package fanch.multijeu.common.core;

import java.io.IOException;
import java.io.OutputStream;

public class BytesOutpuStream extends OutputStream {

    protected ByteVector mBytes = new ByteVector(256);


    public byte[] toByteArray()
    {
        return mBytes.toArray();
    }


    public void write(int var1) throws IOException
    {
        mBytes.add((byte)var1);
    }

    public void write(byte[] b) throws IOException {
        mBytes.add(b);
    }

    public void write(byte[] b, int off, int len) throws IOException {
        mBytes.add(b, off, len);
    }

    public void flush() throws IOException {
    }

    public void close() throws IOException {
    }


}
